Old pandoc + bookdown does not work well

here is my build

from line 771 of the build log it seem that pandoc 2.2.1 is being installed. That is pretty old and the option --metadata-file was only added in 2.3.0 (https://pandoc.org/releases.html#releases).

I then try to build a bookdown project and pandoc complains about the unknown option.

@jeroen and @jimhester is there any hope for an updated version of pandoc for r/travis?

manually installing pandoc 2.9.2.1 solved the issue for me (newer version give different problems)… https://travis-ci.com/github/kkmann/adoptr-validation-report/jobs/399907814

there is an option to control the version of pandoc installed https://docs.travis-ci.com/user/languages/r/#pandoc

Imprint